Guard Stan:
Have you heard, that there is the Enchanted Valley, east of our town? You can capture various creatures there. That is why Hunters made a little village there, but some of the Hunters had other jobs besides being Hunters. Well, people with various backgrounds with various jobs live there.
It is very close to our Town of Oren but it is situated in Aden. There are rumors that the Lord of Aden is having a hard time ruling them...
Return